QGIS Application - Bug report #9089
Data-defined symbol color very slow in 2.0 release
2013-11-19 05:42 AM - Nicolas Liaudat

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Labelling

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: up/downstream
Crashes QGIS or corrupls data: Copied to github as #: 17734
Description

Hi,

Data-defined symbol color is very slow on 2.0 release cause a lot of Qt warnings appears :

QColor::setNamedColor: Unknown color name ’'[hex value in database field]’

Setting the symbols color from a database field renders fine but is very, very slow.
No problem in 1.8 release.

Same warnings on labelling

Regards

History

#1 - 2013-11-19 09:53 AM - Giovanni Manghi
- Target version changed from Version 2.0.0 to Future Release - High Priority
- Priority changed from Normal to Severe/Regression

tagging as regression.

#2 - 2013-11-19 01:56 PM - Nicolas Liaudat

Sorry, I've found that was a Qt 4.7 bug :

https://bugreports.qgt-project.org/browse/QTBUG-19098

Resolve in Qt 4.8

#3 - 2013-11-20 06:12 AM - Giovanni Manghi
- Resolution set to up/downstream
- Status changed from Open to Closed
